Skip to main content
POST
/
api
/
v2.1
/
fintrans
/
{accountId}
/
beneficiaries
Create beneficiary
curl --request POST \
  --url https://sandbox.finhub.cloud/api/v2.1/fintrans/{accountId}/beneficiaries \
  --header 'Content-Type: application/json' \
  --header 'User-Agent: <user-agent>' \
  --header 'X-Forwarded-For: <x-forwarded-for>' \
  --header 'X-Forwarded-From: <x-forwarded-from>' \
  --header 'X-Tenant-ID: <x-tenant-id>' \
  --header 'deviceId: <deviceid>' \
  --header 'platform: <platform>' \
  --data '
{
  "partyType": "BUSINESS_CUSTOMER",
  "organizationId": "00000000-0000-0000-0000-000000000000",
  "customerId": "00000000-0000-0000-0000-000000000000",
  "companyName": "Acme Corp",
  "shortName": "Acme Corp",
  "iban": "LT601010012345678901",
  "currency": "EUR",
  "country": "LT",
  "networkName": "SEPA"
}
'

Headers

X-Tenant-ID
string
required

Tenant identifier

Example:

"test_tenant"

X-Forwarded-For
string
required

Client IP address

Example:

"127.0.0.1"

X-Forwarded-From
string
required

Client application identifier

Example:

"playground-client"

platform
string
required

Client platform

Example:

"playground-api"

deviceId
string
required

Device identifier

Example:

"playground-device"

User-Agent
string
required
Example:

"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/120.0.0.0 Safari/537.36"

Path Parameters

accountId
string
required

Body

application/json
partyType
string
companyName
string
shortName
string
iban
string
currency
string
country
string
email
string
phoneNumber
string
bicSwiftCode
string
networkName
string
bankName
string
purposeCode
string
accountNumber
string
bankCode
string
addressLine1
string
addressLine2
string
city
string
stateProvince
string
postalCode
string
organizationId
string
customerId
string
firstName
string
lastName
string
name
string
targetCustomerId
string
type
string
bankAddress
string
bic
string
allowedOperations
string[]

Response

200

OK